[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomCheckCombo.KeyDown

Handles key down events for the control.

## Declaration

Source position: comboex.pas line 307

`protected procedure TCustomCheckCombo.KeyDown(`
`var Key: Word;`
`Shift: TShiftState`
`); override;`

## Arguments

`Key` |  | Key examined in the method.
`Shift` |  | Keystroke modifier examined in the method.

## Description

KeyDown is the overridden method used to handle key down events for the control. KeyDown ensures that Return (VK_RETURN) and Space (VK_SPACE) are applied to the control. Return causes the value for an enabled item to be toggled when highlighted. Space also toggles the value in an enabled check box, and makes the item selected before hiding the drop down for the combo-box.

KeyDown calls the inherited method.

## See also

TCustomComboBox.KeyDown |  | Filters keys used to traverse the list.